Loading...
Searching...
No Matches
XrdSutPFBuf Class Reference

`#include <XrdSutPFEntry.hh>`

Collaboration diagram for XrdSutPFBuf:

## Public Member Functions

| XrdSutPFBuf (char *b=0, kXR_int32 l=0)
| XrdSutPFBuf (const XrdSutPFBuf &b)
virtual | ~XrdSutPFBuf ()
void | SetBuf (const char *b=0, kXR_int32 l=0)

## Public Attributes

char * | buf
kXR_int32 | len

## Detailed Description

Definition at line 55 of file XrdSutPFEntry.hh.

## Constructor & Destructor Documentation

## XrdSutPFBuf() [1/2]

XrdSutPFBuf::XrdSutPFBuf | ( | char * | b = 0,
|  | kXR_int32 | l = 0 )

Definition at line 37 of file XrdSutPFEntry.cc.

{
// Constructor
len = 0;
buf = 0;
if (b) {
buf = b;
len = l;
}
}
XrdSutPFBuf::buf
char * buf
Definition XrdSutPFEntry.hh:57
XrdSutPFBuf::len
kXR_int32 len
Definition XrdSutPFEntry.hh:58

References buf, and len.

Referenced by XrdSutPFBuf().

Here is the caller graph for this function:

## XrdSutPFBuf() [2/2]

XrdSutPFBuf::XrdSutPFBuf | ( | const XrdSutPFBuf & | b | ) |

Definition at line 50 of file XrdSutPFEntry.cc.

{
//Copy constructor
buf = 0;
len = 0;
if (b.buf) {
buf = new char[b.len];
if (buf) {
memcpy(buf,b.buf,b.len);
len = b.len;
}
}
}

References XrdSutPFBuf(), buf, and len.

Here is the call graph for this function:

## ~XrdSutPFBuf()

virtual XrdSutPFBuf::~XrdSutPFBuf | ( |  | ) |

inline virtual

Definition at line 62 of file XrdSutPFEntry.hh.

{ if (len > 0 && buf) delete[] buf; }

References buf, and len.

## Member Function Documentation

## SetBuf()

void XrdSutPFBuf::SetBuf | ( | const char * | b = 0,
|  | kXR_int32 | l = 0 )

Definition at line 66 of file XrdSutPFEntry.cc.

{
// Set the buffer
len = 0;
if (buf) {
delete[] buf;
buf = 0;
}
if (b && l > 0) {
buf = new char[l];
if (buf) {
memcpy(buf,b,l);
len = l;
}
}
}

References buf, and len.

Referenced by AddPassword(), AddPassword(), and main().

Here is the caller graph for this function:

## Member Data Documentation

## buf

char* XrdSutPFBuf::buf

Definition at line 57 of file XrdSutPFEntry.hh.

Referenced by XrdSutPFBuf(), XrdSutPFBuf(), ~XrdSutPFBuf(), AddPassword(), XrdSutPFile::Browse(), XrdSecProtocolpwd::Init(), main(), XrdSutPFEntry::operator=(), and SetBuf().

## len

kXR_int32 XrdSutPFBuf::len

Definition at line 58 of file XrdSutPFEntry.hh.

Referenced by XrdSutPFBuf(), XrdSutPFBuf(), ~XrdSutPFBuf(), AddPassword(), XrdSutPFile::Browse(), XrdSutPFCache::Dump(), XrdSecProtocolpwd::Init(), main(), and SetBuf().

The documentation for this class was generated from the following files:

- XrdSutPFEntry.hh
- XrdSutPFEntry.cc